> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unosend.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update a webhook's URL or events.

<ParamField path="id" type="string" required>
  The ID of the webhook.
</ParamField>

<ParamField body="url" type="string">
  The new URL to receive webhook events.
</ParamField>

<ParamField body="events" type="string[]">
  New list of events to subscribe to.
</ParamField>

### Request

```bash cURL theme={null}
curl -X PATCH https://api.unosend.co/webhooks/wh_123 \
  -H "Authorization: Bearer un_xxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "events": ["email.delivered", "email.bounced", "email.opened"]
  }'
```

### Response

```json 200 theme={null}
{
  "success": true,
  "data": {
    "id": "wh_123",
    "url": "https://yourapp.com/webhooks/unosend",
    "events": ["email.delivered", "email.bounced", "email.opened"]
  }
}
```
